# SCPException (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.xfer.scp
Class SCPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.xfer.scp.SCPException

All Implemented Interfaces:
  Serializable

    public class SCPException

extends SSHException

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.schmizz.sshj.common.SSHException
`chainer`

Constructor Summary
`SCPException(String message)`
`SCPException(String message, Throwable cause)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SCPException

    public SCPException(String message)

### SCPException

    public SCPException(String message,
                        Throwable cause)

Copyright © 2009-2012. All Rights Reserved.